commit 29a67ae7bca4f2b00f61065ad9424e7e811e95ed
Author: freddy77 <freddy77>
Date:   Sat Dec 20 19:11:54 2008 +0000

    fix win32 portability issue

diff --git a/ChangeLog b/ChangeLog
index 403bef7..5333c55 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Dec 20 20:11:46 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/replacements/fakepoll.c: fix win32 portability issue
+
 Sat Dec 20 00:52:51 EST 2008	JK Lowden <jklowden@freetds.org>
 	* src/tds/login.c src/tds/mem.c src/tds/net.c
 	- initialize tds_login at allocation, not connection
@@ -1129,4 +1132,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2694 2008/12/20 06:01:21 jklowden Exp $
+$Id: ChangeLog,v 1.2695 2008/12/20 19:11:54 freddy77 Exp $
diff --git a/src/replacements/fakepoll.c b/src/replacements/fakepoll.c
index b49abbd..e48cd58 100644
--- a/src/replacements/fakepoll.c
+++ b/src/replacements/fakepoll.c
@@ -18,7 +18,7 @@
  * Converted to C and spruced up by James K. Lowden December 2008. 
  */
 
-static char software_version[] = "$Id: fakepoll.c,v 1.1 2008/12/20 06:01:47 jklowden Exp $";
+static char software_version[] = "$Id: fakepoll.c,v 1.2 2008/12/20 19:11:54 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #include "fakepoll.h"
@@ -79,8 +79,10 @@ fakepoll(struct pollfd fds[], int nfds, int timeout)
 			continue;
 		} 
 
+#if !defined(WIN32)
 		if (p->fd > maxfd)
 			maxfd = p->fd;
+#endif
 
 		/* POLLERR is never set coming in; poll(2) always reports errors */
 		/* But don't report if we're not listening to anything at all. */
@@ -92,6 +94,7 @@ fakepoll(struct pollfd fds[], int nfds, int timeout)
 			FD_SET(p->fd, &fdsp);
 	}
 
+#if !defined(WIN32)
 	/* 
 	 * If any FD is too big for select(2), we need to return an error. 
 	 * Which one, though, is debatable.  There's no defined errno for 
@@ -105,6 +108,7 @@ fakepoll(struct pollfd fds[], int nfds, int timeout)
 		errno = EINVAL;
 		return -1;
 	}
+#endif
 
 	/*
 	 * poll timeout is in milliseconds. Convert to struct timeval.

